Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IRemoteSession

public interface IRemoteSession

An interface that represents a PRC connection to the Plumtree portal. An `IRemoteSession` contains information about the current connection and provides access to object managers that allow the client to query and manipulate a Plumtree server's state.

To create an `IRemoteSession` interface use `RemoteSessionFactory`. Portlets automatically receive the WS Portal (ptapi) SOAP endpoint URL from the portal and can use `IPortletContext`getRemotePortalSession to create an `IRemoteSession`.

The PRC remote APIs for the portal, Search Server, Collaboration Server, and Content Server all require a WS server and a SOAP endpoint URL. The portal and Search Server can be accessed through WS Portal (ptapi).

Collaboration Server and Content Server each have intrinsic WS servers to provide PRC remote API access. The endpoints for these intrinsic WS servers should never be used directly. All PRC requests should use the WS Portal (ptapi) endpoint first and will be redirected as needed to Collaboration or Content.

To access Collaboration Server and Content Server remote APIs, first obtain an `IRemoteSession` and then retrieve the corresponding `ICollaborationFactory` or `IContentFactory` from the session. No separate Collaboration session or Content session is needed to access the Collaboration or Content Server remote APIs. Individual Collaboration or Content object managers can thus be retrieved using the `ICollaborationFactory` or `IContentFactory`.

For portal and Search Server remote APIs, a portal object manager or `ISearchFactory` can be retrieved directly from an `IRemoteSession`.

Method Summary
`java.lang.String` | `getAPIVersion()` Returns the current Plumtree SOAP API version supported by the portal.
`ICollaborationFactory` | `getCollaborationFactory()` Returns an `ICollaborationFactory` object that other Collaboration managers can be obtained from it.
`ICommunityManager` | `getCommunityManager()` Returns an `ICommunityManager` object that enables operations on communities.
`IContentFactory` | `getContentFactory()` Returns an `IContentFactory` object that other Content managers can be obtained from it.
`IDocumentFolderManager` | `getDocumentFolderManager()` Returns an `IDocumentFolderManager` object to view the portal's Knowledge Directory folder hierarchy.
`IDocumentManager` | `getDocumentManager()` Returns an `IDocumentManager` object that enables submission of new documents to the portal.
`java.lang.String` | `getEndpointURI()` Returns the SOAP service endpoint URI currently being used by this remote session.
`IJobManager` | `getJobManager()` Returns an `IJobManager` object that enables operations on portal jobs.
`java.lang.String` | `getLoginToken()` Returns the portal login token currently being used by this remote session.
`IMyPagesManager` | `getMyPagesManager()` Returns an `IMyPagesManager` object that enables operations on My Pages.
`IObjectManager` | `getObjectManager(ObjectClass clazz)` Returns an `IObjectManager` object for the portal object class passed in.
`IPortletManager` | `getPortletManager()` Returns an `IPortletManager` that provides information about existing Portlets and enables creation of new Portlets.
`IPortletTemplateManager` | `getPortletTemplateManager()` Returns an `IPortletTemplateManager` object that enables creation and deletion of Portlet Templates.
`ISearchFactory` | `getSearchFactory()` Returns an `ISearchFactory` object that allows creating searches against the portal search server.
`IUserGroupManager` | `getUserGroupManager()` Returns an `IUserGroupManager` object that enables management of user groups.
`IUserManager` | `getUserManager()` Returns an `IUserManager` object that provides information about the currently logged in user.

Method Detail

### getPortletManager

    public IPortletManager getPortletManager()

  Returns an `IPortletManager` that provides information about existing Portlets and enables creation of new Portlets.

  Returns:
    an `IPortletManager` object

### getPortletTemplateManager

    public IPortletTemplateManager getPortletTemplateManager()

  Returns an `IPortletTemplateManager` object that enables creation and deletion of Portlet Templates.

  Returns:
    an `IPortletTemplateManager` object

### getUserManager

    public IUserManager getUserManager()

  Returns an `IUserManager` object that provides information about the currently logged in user.

  Returns:
    an `IUserManager` object

### getUserGroupManager

    public IUserGroupManager getUserGroupManager()

  Returns an `IUserGroupManager` object that enables management of user groups.

  Returns:
    an `IUserGroupManager` object

### getObjectManager

    public IObjectManager getObjectManager(ObjectClass clazz)

  Returns an `IObjectManager` object for the portal object class passed in. An `IObjectManager` enables you to query information about existing objects in the portal. This method does not work with `ObjectClass.DocumentFolder`, and thus it is impossible to query ACLs on Portal document folders.

  Parameters:
    `clazz` - the class of portal object that you want to query
  Returns:
    an `IObjectManager` object for that class of objects
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid object class is passed

### getDocumentManager

    public IDocumentManager getDocumentManager()

  Returns an `IDocumentManager` object that enables submission of new documents to the portal.

  Returns:
    the Document Manager

### getDocumentFolderManager

    public IDocumentFolderManager getDocumentFolderManager()

  Returns an `IDocumentFolderManager` object to view the portal's Knowledge Directory folder hierarchy.

  Returns:
    the Document Folder Manager

### getJobManager

    public IJobManager getJobManager()

  Returns an `IJobManager` object that enables operations on portal jobs.

  Returns:
    the Job Manager

### getCommunityManager

    public ICommunityManager getCommunityManager()

  Returns an `ICommunityManager` object that enables operations on communities.

  Returns:
    the Community Manager

### getMyPagesManager

    public IMyPagesManager getMyPagesManager()

  Returns an `IMyPagesManager` object that enables operations on My Pages.

  Returns:
    the My Pages Manager

### getSearchFactory

    public ISearchFactory getSearchFactory()

  Returns an `ISearchFactory` object that allows creating searches against the portal search server.

  Returns:
    a search factory

### getCollaborationFactory

    public ICollaborationFactory getCollaborationFactory()

  Returns an `ICollaborationFactory` object that other Collaboration managers can be obtained from it.

  Returns:
    a collaboration factory

### getContentFactory

    public IContentFactory getContentFactory()

  Returns an `IContentFactory` object that other Content managers can be obtained from it.

  Returns:
    a content factory

### getEndpointURI

    public java.lang.String getEndpointURI()

  Returns the SOAP service endpoint URI currently being used by this remote session. This URI was set when the `IRemoteSession` object was constructed by `RemoteSessionFactory`.

  Returns:
    the URI of the SOAP service endpoint
  See Also:
    `com.plumtree.remote.prc.RemoteSessionFactory#getExplicitLoginContext(java.lang.String, java.lang.String, java.lang.String)`, `com.plumtree.remote.prc.RemoteSessionFactory#getTokenContext(java.lang.String, java.lang.String)`

### getLoginToken

    public java.lang.String getLoginToken()

  Returns the portal login token currently being used by this remote session. This URI was set when the `IRemoteSession` object was constructed by `RemoteSessionFactory`. If the `IRemoteSession` was constructed using a token, this value is that login token. If the `IRemoteSession` was constructed using a name and password, this login token is obtained via a SOAP call to the Portal Server.

  Returns:
    the login token

### getAPIVersion

    public java.lang.String getAPIVersion()
                                   throws PortalException,
                                          java.rmi.RemoteException

  Returns the current Plumtree SOAP API version supported by the portal. This is not the version of the portal or the version of the Plumtree Remote Client.

  Throws:
    `PortalException` - if operation resulted in an error on the Portal
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.